% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/object_access.R
\name{write_meta}
\alias{write_meta}
\alias{write_meta.Seurat}
\alias{write_meta.SingleCellExperiment}
\title{Function to write metadata to object}
\usage{
write_meta(object, ...)

\method{write_meta}{Seurat}(object, meta, ...)

\method{write_meta}{SingleCellExperiment}(object, meta, ...)
}
\arguments{
\item{object}{object after tsne or umap projections
and clustering}

\item{...}{additional arguments}

\item{meta}{new metadata dataframe}
}
\value{
object with newly inserted metadata columns
}
\description{
Function to write metadata to object
}
\examples{
so <- so_pbmc()
obj <- write_meta(
    object = so,
    meta = seurat_meta(so)
)
sce <- sce_pbmc()
obj <- write_meta(
    object = sce,
    meta = object_data(sce, "meta.data")
)
}
